Bug 863186 - switch to relative mouse movement if app within a guest grabs cursor
switch to relative mouse movement if app within a guest grabs cursor
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-qxl (Show other bugs)
6.4
Unspecified Unspecified
unspecified Severity medium
: beta
: ---
Assigned To: Søren Sandmann Pedersen
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-04 11:55 EDT by David Jaša
Modified: 2014-06-18 05:15 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 863179
Environment:
Last Closed: 2012-10-05 07:40:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Jaša 2012-10-04 11:55:46 EDT
qxl driver is sometimes able to provide client mouse without agent cooperation so this bug should be handled there, too

xorg-x11-drv-qxl-0.1.0-2.el6


+++ This bug was initially created as a clone of Bug #863179 +++

Description of problem:
switch to relative mouse movement if app within a guest grabs cursor

Version-Release number of selected component (if applicable):
spice-vdagent-0.12.0-1

How reproducible:
always

Steps to Reproduce:
1. make sure that client mouse by agent is in use
2. open a cursor-grabbing app in a guest (another spice-client with server mouse mode, openarena**, ...)
3. grab the cursor
  
Actual results:
the mouse continues to be in absolute mode, making it unusable in both app that grabbed cursor and the rest of the guest

Expected results:
the mouse is switched to relative input mode once an app grabs the cursor and back to absolute when the app releases it

Additional info:
** openarena needs the check for DRI removed in startup script
Comment 2 Hans de Goede 2012-10-05 07:40:47 EDT
(In reply to comment #0)
> qxl driver is sometimes able to provide client mouse without agent
> cooperation so this bug should be handled there, too

This is incorrect, there are 2 ways to get an absolute input devica and thus
client-mouse mode without using the agent:
1) The vm is configured with a virtual usb tablet
2) The xorg-x11-drv-vmmouse driver is installed inside the guest

Neither is under control of the qxl driver.

Note You need to log in before you can comment on or make changes to this bug.